OpenZWave::EnergyProduction Class Reference

Implements COMMAND_CLASS_ENERGY_PRODUCTION (0x90), a Z-Wave device command class. More...

`#include <EnergyProduction.h>`

Inheritance diagram for OpenZWave::EnergyProduction:

## Public Member Functions

virtual | ~EnergyProduction ()
virtual bool | RequestState (uint32 const _requestFlags, uint8 const _instance, Driver::MsgQueue const _queue)
virtual bool | RequestValue (uint32 const _requestFlags, uint8 const _valueEnum, uint8 const _dummy, Driver::MsgQueue const _queue)
virtual uint8 const | GetCommandClassId () const
virtual string const | GetCommandClassName () const
virtual bool | HandleMsg (uint8 const *_data, uint32 const _length, uint32 const _instance=1)
Public Member Functions inherited from OpenZWave::CommandClass
| CommandClass (uint32 const _homeId, uint8 const _nodeId)
virtual | ~CommandClass ()
virtual void | ReadXML (TiXmlElement const *_ccElement)
virtual void | WriteXML (TiXmlElement *_ccElement)
virtual bool | SetValue (Value const &_value)
virtual void | SetValueBasic (uint8 const _instance, uint8 const _level)
virtual void | SetVersion (uint8 const _version)
bool | RequestStateForAllInstances (uint32 const _requestFlags, Driver::MsgQueue const _queue)
bool | CheckForRefreshValues (Value const *_value)
virtual uint8 | GetMaxVersion ()
uint8 | GetVersion () const
Bitfield const * | GetInstances () const
uint32 | GetHomeId () const
uint8 | GetNodeId () const
Driver * | GetDriver () const
Node * | GetNodeUnsafe () const
Value * | GetValue (uint8 const _instance, uint8 const _index)
bool | RemoveValue (uint8 const _instance, uint8 const _index)
uint8 | GetEndPoint (uint8 const _instance)
uint8 | GetInstance (uint8 const _endPoint)
void | SetInstances (uint8 const _instances)
void | SetInstance (uint8 const _endPoint)
void | SetAfterMark ()
void | SetEndPoint (uint8 const _instance, uint8 const _endpoint)
bool | IsAfterMark () const
bool | IsCreateVars () const
bool | IsGetSupported () const
bool | IsSecured () const
void | SetSecured ()
bool | IsSecureSupported () const
void | ClearSecureSupport ()
void | SetSecureSupport ()
void | SetInNIF ()
bool | IsInNIF ()
string | ExtractValue (uint8 const *_data, uint8 *_scale, uint8 *_precision, uint8 _valueOffset=1) const
void | AppendValue (Msg *_msg, string const &_value, uint8 const _scale) const
uint8 const | GetAppendValueSize (string const &_value) const
int32 | ValueToInteger (string const &_value, uint8 *o_precision, uint8 *o_size) const
void | UpdateMappedClass (uint8 const _instance, uint8 const _classId, uint8 const _value)
virtual void | CreateVars (uint8 const _instance, uint8 const _index)
bool | HasStaticRequest (uint8 _request) const
void | SetStaticRequest (uint8 _request)
void | ClearStaticRequest (uint8 _request)
uint32 | GetSentCnt () const
uint32 | GetReceivedCnt () const
void | SentCntIncr ()
void | ReceivedCntIncr ()

## Static Public Member Functions

static CommandClass * | Create (uint32 const _homeId, uint8 const _nodeId)
static uint8 const | StaticGetCommandClassId ()
static string const | StaticGetCommandClassName ()

## Protected Member Functions

virtual void | CreateVars (uint8 const _instance)
Protected Member Functions inherited from OpenZWave::CommandClass
void | ReadValueRefreshXML (TiXmlElement const *_ccElement)

## Additional Inherited Members

Public Types inherited from OpenZWave::CommandClass
enum | { RequestFlag_Static = 0x00000001, RequestFlag_Session = 0x00000002, RequestFlag_Dynamic = 0x00000004, RequestFlag_AfterMark = 0x00000008 }
enum | StaticRequest { StaticRequest_Instances = 0x01, StaticRequest_Values = 0x02, StaticRequest_Version = 0x04 }
typedef struct OpenZWave::CommandClass::RefreshValue | RefreshValue

## Detailed Description

Implements COMMAND_CLASS_ENERGY_PRODUCTION (0x90), a Z-Wave device command class.

## Constructor & Destructor Documentation

## ~EnergyProduction()

virtual OpenZWave::EnergyProduction::~EnergyProduction | ( |  | ) |

inline virtual

## Member Function Documentation

## Create()

static CommandClass* OpenZWave::EnergyProduction::Create | ( | uint32 const | _homeId,
|  | uint8 const | _nodeId
| ) |  |

inline static

## CreateVars()

void EnergyProduction::CreateVars | ( | uint8 const | _instance | ) |

protected virtual

Reimplemented from OpenZWave::CommandClass.

## GetCommandClassId()

virtual uint8 const OpenZWave::EnergyProduction::GetCommandClassId | ( |  | ) | const

inline virtual

Implements OpenZWave::CommandClass.

## GetCommandClassName()

virtual string const OpenZWave::EnergyProduction::GetCommandClassName | ( |  | ) | const

inline virtual

Implements OpenZWave::CommandClass.

## HandleMsg()

bool EnergyProduction::HandleMsg | ( | uint8 const * | _data,
|  | uint32 const | _length,
|  | uint32 const | _instance = `1`
| ) |  |

virtual

Implements OpenZWave::CommandClass.

## RequestState()

bool EnergyProduction::RequestState | ( | uint32 const | _requestFlags,
|  | uint8 const | _instance,
|  | Driver::MsgQueue const | _queue
| ) |  |

virtual

Reimplemented from OpenZWave::CommandClass.

## RequestValue()

bool EnergyProduction::RequestValue | ( | uint32 const | _requestFlags,
|  | uint8 const | _valueEnum,
|  | uint8 const | _dummy,
|  | Driver::MsgQueue const | _queue
| ) |  |

virtual

Reimplemented from OpenZWave::CommandClass.

## StaticGetCommandClassId()

static uint8 const OpenZWave::EnergyProduction::StaticGetCommandClassId | ( |  | ) |

inline static

## StaticGetCommandClassName()

static string const OpenZWave::EnergyProduction::StaticGetCommandClassName | ( |  | ) |

inline static

The documentation for this class was generated from the following files:

- EnergyProduction.h
- EnergyProduction.cpp